miércoles, 21 de noviembre de 2012

configurar phpMyAdmin en Apache

Configurar phpMyAdmin en Apache corriendo sobre Linux-Ubuntu, no es un proceso totalmente automatizado y puede presentar problemas al no ejecutar phpMyAdmin desde el navegador.
En general el problema se resuelve indicándole a Apache que se encuentra instalado phpMyAdmin. Esto se realiza del siguiente modo.

Habilitar el modulo rewrite de Apache en Ubuntu

El módulo rewrite le agrega al servidor web Apache la posibilidad de re-escribir los requerimientos de URL que recibe desde la internet. La importancia de este módulo es la posibilidad de escribir direcciones amigables (Friendly URL's), que juega un rol desde la perspectiva SEO.
Apache sobre Ubuntu se configura en forma distinta a otros sistemas operativos como las versiones empaquetadas de LAMP sobre windows. Para configurar el módulo rewrite sobre Ubuntu se realiza del siguiente modo:

lunes, 12 de noviembre de 2012

Imagen corrupta desde un script PHP

Hace poco tiempo tuve el siguiente error en la descarga de una imagen desde un script PHP:
Error: Not a JPEG file: starts with 0x3c 0x21
Como el archivo era reconocido del tipo mime 'image/jpeg', entonces el error no se originaba en el envío de los Headers HTTP, sino que la data propiamente tal de la imagen se había corrompido.

lunes, 5 de noviembre de 2012

Instalar Perl en Ubuntu desde la línea de comandos

Para instalar el soporte para el lenguaje Perl desde la línea de comando (usando la terminal) desde Linux-Ubuntu, se debe usar el Advanced Package Tool (el gestionador de paquetes de Ubuntu) y ejecutar el comando:
apt-get update
apt-get upgrade
apt-get install perl build-essential curl


Desde ese punto podemos instalar el gestionador de paquetes de Perl desde el repositorio CPAN, llamado CPAN.

Instalando el módulo GD para Perl

La capacidad de generar gráficos al vuelo, es un importante recurso en el desarrollo de páginas web dinámicas. Para disponer de esta facilidad en el lenguaje Perl, una de las opciones es instalar el módulo GD. Sin embargo, es necesario cumplir con los requisitos del módulo GD antes de su instalación.